@charset "utf-8";

#id_contents {
  min-height: 800px;
}

#thumbnail_wrap {
  width: 100%;
}

#thumbnail_list {
  width: 100%;
  padding: 0;
  margin: 0;
  font-size: 0;
  list-style-type: none;
  text-align: center;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

#thumbnail_list li {
  display: inline-block;
  text-align: center;

  margin: 1%;
  cursor: pointer;
  margin: 0 20px;
}

#thumbnail_list li img {
  margin: 0;
  display: block;
  width: 129px;
  user-drag: none;
  -webkit-user-drag: none;
  -ms-user-drag: none;
  margin: 0 auto;
}

#thumbnail_list li span {
  margin: 0;
  font-size: 18px;
  color: #00f;
  text-align: center;
}

#thumbnail_list li:hover span {
  color: #f00;
}

#slider {
  width: 640px;
  margin: 0 auto;
  text-align: left;
  position: relative;
  overflow: hidden;
}

#slidelist {
  margin: 0;
  padding: 0;
  position: absolute;
  list-style-type: none;
  font-size: 0;
  width: 300%;
  left: -100%;
  cursor: grab;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  display: flex;
  align-items: center;
  justify-content: center;
}

#slidelist li {
  height: 100%;
  width: 640px;
  overflow: hidden;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

#slidelist li img, #slidelist li video {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 100%;
  user-drag: none;
  -webkit-user-drag: none;
  -ms-user-drag: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#slider_cover {
  position: relative;
  margin: 0 auto;
  width: 100%;
  max-width: 800px;
}

.button {
  position: absolute;
  width: 10%;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-drag: none;
  -webkit-user-drag: none;
  -ms-user-drag: none;
}

#prev {
  background: url("../../img/btnPrev.png") no-repeat center left;
  left: 0;
}

#next {
  background: url("../../img/btnNext.png") no-repeat center right;
  right: 0;
}

#textbox {
  padding: 0;
  width: 100%;
  height: 100px;
  position: absolute;
  color: #000569;
  line-height: 1.3;
}

#headline {
  margin : 15px 5px 3px 5px;
  font-weight : bold;
}

#text_category {
  margin: 5px;
  width: 95%;
}

#modal_content {
  display: none;
  width: 80%;
  height: 50%;
  margin: 1.5em auto 0;
  padding: 10px 17px;
  border: 2px solid #aaa;
  background: #eeece8;
  position: fixed;
  overflow-y: scroll;
  z-index: 100001;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.modal_p {
  margin-top: 1em;
}

.modal_p:first-child {
  margin-top: 0;
}

.button_link {
  color: #00f;
  text-decoration: underline;
}

.button_link:hover {
  cursor: pointer;
  color: #f00;
}

#image_box {
  width: 100%;
}
#modal_overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 120%;
  background-color: #000;
  opacity: 0.5;
  z-index: 100000;
}

.thumbnail_list {
  width: 129px;
  max-width: 129px;
  margin: 1%;
  user-drag: none;
  -webkit-user-drag: none;
}

.thumbnail_list:hover {
  cursor: pointer;
}

#image_box {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-wrap: wrap;
  gap: 0.5em;
}

@media screen and (max-width:767px) {
  #id_contents {
    margin: 0 auto;
  }
}

@media screen and (max-width:733px) {
  #thumbnail_list li {
    display: inline-block;
    padding: 0;
    margin: 5px 6.3%;
  }

  #thumbnail_list img {
    margin: 0 auto;
  }
}

@media screen and (max-width:639px) {
  #id_contents {
    margin: 0;
    min-height: inherit;
  }

  #thumbnail_list li {
    display: inline-block;
    padding: 0;
    margin: 5px 1%;
  }

  #slider_cover, #slider {
    width: 100%;
  }

  #slider_cover {
    margin: 0;
    left: 0;
  }

  #slidelist li {
    width: 33.333%;
  }
}

@media screen and (max-width:449px) {
  #thumbnail_list li {
    margin: 5px 10px;
  }

  #thumbnail_list li span {
    font-size: 14px;
  }

  .thumbnail_list {
    width: 110px;
    margin: 1px;
  }
}

@media screen and (max-width:319px) {
  #textbox {
    line-height: 1.2;
  }

  #thumbnail_list li {
    display: list-item;
    margin: 5px auto;
  }
}
